%define targetfile /etc/rsyslog.conf

Summary: Log your system logs to the Fermi central logger
Name: zz_use_clogger
Version: 1.1
Release: 3
License: GPL
Group: Fermi
BuildArch: noarch
Requires: rsyslog

%description
This package will change your rsyslog.conf file that will
send all of your logs to the Fermilab central logger.
It does a condictional restart of your rsyslog so that it will 
reread this new configuration.

%triggerin -- rsyslog
if [ -f %{targetfile} ] ; then
	if `grep -q '^[^#].*clogger' %{targetfile}` ; then
		sed -i -e "s:.*@clogger.fnal.gov:\#&\n\*.\*		@clogger.fnal.gov:"  %{targetfile}
	else
		echo "" >> %{targetfile}
		echo "# We are going to log everything to a central logger" >> %{targetfile}
		echo "*.*		@clogger.fnal.gov" >> %{targetfile}
	fi
	/etc/init.d/rsyslog condrestart
fi

%postun
if [ $1 -eq 0 ]; then
  if [ -f %{targetfile} ] ; then
	if `grep -q clogger %{targetfile}` ; then
		sed -i -e "s:.*@clogger.fnal.gov:\#&:"  %{targetfile}
	fi
	/etc/init.d/rsyslog condrestart
  fi
fi

%files

%changelog
* Mon May 16 2011 Troy Dawson <dawson@fnal.gov> 1.1-3
- Changed the mispelled rsyslogd to rsyslog

* Mon May 16 2011 Troy Dawson <dawson@fnal.gov> 1.1-2
- Changed the mispelled sysklog to rsyslogd

* Mon Apr 20 2011 Troy Dawson <dawson@fnal.gov> 1.1-1
- Rebuilt to work with SLF6
- Converted everything from syslog to rsyslog

* Mon Apr 20 2009 Troy Dawson <dawson@fnal.gov> 1.0-1
- First go round

